maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jaybytez <jayby...@yahoo.com>
Subject Re: Failed to determine Java version for profile jdk* @
Date Wed, 14 Dec 2011 17:31:56 GMT
The jdk profile is something I tried to address locally as well by defining
my own jdk profiles, but I finally removed them since we are only building
against jdk16 and most of the reason I was using the profiles was to fix
jdk15 issues.  These profiles are gone.

The question I have is why do I get the "Failed to determine Java version
for profile".  I know previous versions of m2eclipse did not enable the jdk
profile by default.  I have my projects set to use the workspace JRE (which
is a 1.6.0_21) and for suggested performance, my Helios eclipse.ini points
to:

-vm C:/Development/dev/java/jdk1.6.0_21/jre/bin/client/jvm.dll

Should Maven or m2eclipse establish that my JDK is 1.6 and activate the
correct profiles in the 3rd party libraries?

The interesting thing is that I pretty much seem to get these related errors
with apis that have to interact with XML (and I understand why because of
the endorsed).  So xstream and hibernate are throwing the same issue.

12/14/11 9:17:10 AM PST: [WARN] The POM for
com.thoughtworks.xstream:xstream:jar:1.3.1 is invalid, transitive
dependencies (if any) will not be available: 6 problems were encountered
while building the effective model for
com.thoughtworks.xstream:xstream:1.3.1
[ERROR] Failed to determine Java version for profile jdk15 @ 
[ERROR] Failed to determine Java version for profile jdk16 @ 
[ERROR] Failed to determine Java version for profile jdk14 @ 
[ERROR] Failed to determine Java version for profile jdk16 @
com.thoughtworks.xstream:xstream-parent:1.3.1
[ERROR] Failed to determine Java version for profile jdk15 @
com.thoughtworks.xstream:xstream-parent:1.3.1
[ERROR] Failed to determine Java version for profile jdk14 @
com.thoughtworks.xstream:xstream-parent:1.3.1

12/14/11 9:17:10 AM PST: [WARN] The POM for
org.hibernate:hibernate-entitymanager:jar:3.6.0.Final is invalid, transitive
dependencies (if any) will not be available: 1 problem was encountered while
building the effective model for
org.hibernate:hibernate-entitymanager:3.6.0.Final
[ERROR] Failed to determine Java version for profile jaxb @ 

Thanks for all your help.  I thoroughly love both projects (Maven and CXF)
and we have been doing some awesome stuff with these projects.

Jay

--
View this message in context: http://maven.40175.n5.nabble.com/Failed-to-determine-Java-version-for-profile-jdk-tp5073097p5075150.html
Sent from the Maven - Users mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message